Problem with legend icon when using line pattern fill

2012-06-14 06:29 AM - Victor Axbom

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15290

Description

If you are using the line pattern fill, you will only see the lines in the layer legend icon and the composer legend icon if you use a quite

small distance between the lines. A larger distance between the lines results in a failure to visualize the pattern since you will only see one

line or no line of the full pattern. See attached screenshots

History

#1 - 2012-07-11 11:47 PM - Marco Hugentobler

- Status changed from Open to Feedback

Couldn't you just increase the symbol width and height in composer to see more lines? In my opinion, that's the proper solution here as the distance

between the lines must be the same in legend as in map.

#2 - 2013-01-14 10:47 PM - Victor Axbom

- Status changed from Feedback to Closed

You are right, that's probably the best solution.

Marco Hugentobler wrote:

Couldn't you just increase the symbol width and height in composer to see more lines? In my opinion, that's the proper solution here as the distance

between the lines must be the same in legend as in map.
